List Shipping Methods in Zone
Returns a list of Shipping Methods in a zone. Default sorting is by shipping method ID, from lowest to highest.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
zone_id
ID of the shipping zone.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
OK
channel_ids
List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)
enabled
Whether or not this shipping zone method is enabled.
handling_fees
id
Shipping method ID. Read-only.
is_fallback
Whether or not this shipping method is a fallback method used when advanced shipping rules are unavailable.
name
Display name for shipping method.
type